package domain


type AlibabaAelophyOrderDelivererChangeDelivererChangeRequest struct {
    /*
        经营店编码     */
    StoreId  *string `json:"store_id,omitempty" `

    /*
        订单编码     */
    BizOrderId  *int64 `json:"biz_order_id,omitempty" `

    /*
        配送人员名称     */
    DelivererName  *string `json:"deliverer_name,omitempty" `

    /*
        配送人员联系方式     */
    DelivererPhone  *string `json:"deliverer_phone,omitempty" `

    /*
        配送公司编码     */
    DelivererCompany  *string `json:"deliverer_company,omitempty" `

    /*
        配送物流单号     */
    LogisticsNo  *string `json:"logistics_no,omitempty" `

}

func (s *AlibabaAelophyOrderDelivererChangeDelivererChangeRequest) SetStoreId(v string) *AlibabaAelophyOrderDelivererChangeDelivererChangeRequest {
    s.StoreId = &v
    return s
}
func (s *AlibabaAelophyOrderDelivererChangeDelivererChangeRequest) SetBizOrderId(v int64) *AlibabaAelophyOrderDelivererChangeDelivererChangeRequest {
    s.BizOrderId = &v
    return s
}
func (s *AlibabaAelophyOrderDelivererChangeDelivererChangeRequest) SetDelivererName(v string) *AlibabaAelophyOrderDelivererChangeDelivererChangeRequest {
    s.DelivererName = &v
    return s
}
func (s *AlibabaAelophyOrderDelivererChangeDelivererChangeRequest) SetDelivererPhone(v string) *AlibabaAelophyOrderDelivererChangeDelivererChangeRequest {
    s.DelivererPhone = &v
    return s
}
func (s *AlibabaAelophyOrderDelivererChangeDelivererChangeRequest) SetDelivererCompany(v string) *AlibabaAelophyOrderDelivererChangeDelivererChangeRequest {
    s.DelivererCompany = &v
    return s
}
func (s *AlibabaAelophyOrderDelivererChangeDelivererChangeRequest) SetLogisticsNo(v string) *AlibabaAelophyOrderDelivererChangeDelivererChangeRequest {
    s.LogisticsNo = &v
    return s
}
